<?php
/*
 * page pour signaler la fin d'une install linux
 *
 * Auteur : denis bonnenfant
 *
 *
 * $_POST['name'] : nom
 * $_POST['token'] : action en cours
 * $_POST['ret'] : code sortie ($?)
 *
 */
require "config.inc.php";
require "ldap.inc.php";
require "actions.inc.php";
require "ipxe_functions.inc.php";
require "templates.inc.php";

$token = $_POST['token'] ?? "";
$name = $_POST['name'] ?? "";
$ret = $_POST['ret'] ?? ""; // code sortie du script
header("Content-type: text/plain");

if (auth_action($config, $name, $token)) {
    $machine = get_action($config, $name, $token);
    $ou = ldap_dn2oudn($machine['dn']);
    $type = $machine['action']['type'];
    $role = $machine['action'][$token]['role'] ?? "";
    $etape = $machine['action'][$token]['ret'];
    $script = $machine['action'][$token]['script'] ?? "default";
    $id = $machine['netbootinitialization'];
    $disks = @$machine['action']['disks'];
    if ($ret == 0) {
        delete_action($id);
    }
} else {
    echo "echo erreur $token $name\n";
}
?>
